LibreOffice LibreOffice 25.8 SDK API Reference

Classes | Enumerations
com::sun::star::registry Module Reference

Interfaces to access registration databases. More...

## Classes
exception | CannotRegisterImplementationException
| is thrown when an application tries to register a new component (implementation) using the XImplementationRegistration::registerImplementation() method, but the component cannot be registered. More...
service | DefaultRegistry
| implicitly supports a local registry and a read-only system registry for global information. More...
service | ImplementationRegistration
| is the implementation of the interface XImplementationRegistration. More...
exception | InvalidRegistryException
| signals that the registry is invalid or an operation on the registry failed. More...
exception | InvalidValueException
| signals that the value of the key is invalid or does not have the appropriate key type. More...
exception | MergeConflictException
| is thrown if entries of two registries are contradictory in the context of XSimpleRegistry::mergeKey()e() method. More...
service | NestedRegistry
| supports a shared view on two different registries. More...
service | SimpleRegistry
| makes it possible to create, open, or close a registry. More...
interface | XImplementationRegistration
| offers a registry for implementation objects and provides information about the registered implementations. More...
interface | XImplementationRegistration2
| extends the functionality of com::sun::star::registry::XImplementationRegistration. More...
interface | XRegistryKey
| makes structural information (except regarding tree structures) of a single registry key accessible. More...
interface | XSimpleRegistry
| allows access to a registry (a persistent data source). More...

## Enumerations
enum | RegistryKeyType { KEY , LINK }
| represents all possible types of a key. More...
enum | RegistryValueType { NOT_DEFINED , LONG , ASCII , STRING , BINARY , LONGLIST , ASCIILIST , STRINGLIST }
| represents all possible types of a key value. More...

## Detailed Description

Interfaces to access registration databases.

## Enumeration Type Documentation

## ◆ RegistryKeyType

enum RegistryKeyType
| published

represents all possible types of a key.

A key can be a normal key with a value and subkeys, or it can be a link which references another key.

Enumerator
KEY |
LINK |

## ◆ RegistryValueType

enum RegistryValueType
| published

represents all possible types of a key value.

An ASCII value and a string value will both be handled with type string. But interns will be handled differently. Normally the idl string represents a unicode string.

Enumerator
NOT_DEFINED | the type of the key is not defined.
LONG | the type of the key is long.
ASCII | the type of the key is ASCII.
STRING | the type of the key is a string.
BINARY | the type of the key is binary.
LONGLIST | the type of the key is LONGLIST.
ASCIILIST | the type of the key is an ASCIILIST.
STRINGLIST | the type of the key is a STRINGLIST.